----------------------------------------------------------------------------------
--
-- scenetemplate.lua
--
----------------------------------------------------------------------------------

local storyboard = require( "storyboard" )
local scene = storyboard.newScene()

local widget = require("widget")

--typeOfPlay
----------------------------------------------------------------------------------
-- 
--	NOTE:
--	
--	Code outside of listener functions (below) will only be executed once,
--	unless storyboard.removeScene() is called.
-- 
---------------------------------------------------------------------------------

--local sndNoMatch = audio.loadSound("audio/nomatch.mp3")
--local sndMatch = audio.loadSound("audio/match.mp3")
--local sndWinner = audio.loadSound("audio/winner.mp3")

local function gotostart(e)
	storyboard.gotoScene( "selectstage", {time=400, effect="fade"} )
	--storyboard.gotoScene( "selectdimention", {time=400, effect="flipFadeOutIn"} )
	
end


---------------------------------------------------------------------------------
-- BEGINNING OF YOUR IMPLEMENTATION
---------------------------------------------------------------------------------

-- Called when the scene's view does not exist:
function scene:createScene( event )
	local group = self.view

	-----------------------------------------------------------------------------
		
	--	CREATE display objects and add them to 'group' here.
	--	Example use-case: Restore 'group' from previously saved state.
	
	-----------------------------------------------------------------------------


end


-- Called immediately after scene has moved onscreen:
function scene:enterScene( event )
	local group = self.view
	
	-----------------------------------------------------------------------------
		
	--	INSERT code here (e.g. start timers, load audio, start listeners, etc.)
	
	-----------------------------------------------------------------------------
	
	--print("Enterd");
	local mySplashBackground = display.newImageRect( "512.png", 280, 280)
    --local background = display.newImageRect( menuScreen.LevelSelect_Background, 380, 570 )
    mySplashBackground.x = centerX-- display.contentWidth/2--display.contentCenterX
    mySplashBackground.y = centerY --display.contentHeight/2--display.contentCenterY
    group:insert(mySplashBackground) 
	
	--[[local up = display.newImageRect("images/newimages/memory.png", 205, 66)
	up.x = centerX--display.contentWidth
	up.y = display.contentHeight + 400
	group:insert(up)
	
	
	local down = display.newImageRect("images/newimages/game.png", 144, 70)
	down.x = centerX--display.contentWidth
	down.y = display.contentHeight + 500
	group:insert(down)
	
	transition.to( match, { time=4000, x=centerX, y=centerY - 100 } )
	transition.to( up, { time=4000, x=centerX, y=centerY  } )
	transition.to( down, { time=4000, x=centerX, y=centerY + 100 } )
	]]
	timer.performWithDelay( 2000, gotostart )
end


-- Called when scene is about to move offscreen:
function scene:exitScene( event )
	local group = self.view
	
	-----------------------------------------------------------------------------
	
	--	INSERT code here (e.g. stop timers, remove listeners, unload sounds, etc.)
	
	-----------------------------------------------------------------------------
	
end


-- Called prior to the removal of scene's "view" (display group)
function scene:destroyScene( event )
	local group = self.view
	
	-----------------------------------------------------------------------------
	
	--	INSERT code here (e.g. remove listeners, widgets, save state, etc.)
	
	-----------------------------------------------------------------------------
	
end


---------------------------------------------------------------------------------
-- END OF YOUR IMPLEMENTATION
---------------------------------------------------------------------------------

-- "createScene" event is dispatched if scene's view does not exist
scene:addEventListener( "createScene", scene )

-- "enterScene" event is dispatched whenever scene transition has finished
scene:addEventListener( "enterScene", scene )

-- "exitScene" event is dispatched before next scene's transition begins
scene:addEventListener( "exitScene", scene )

-- "destroyScene" event is dispatched before view is unloaded, which can be
-- automatically unloaded in low memory situations, or explicitly via a call to
-- storyboard.purgeScene() or storyboard.removeScene().
scene:addEventListener( "destroyScene", scene )

---------------------------------------------------------------------------------

return scene