----------------------------------------------------------------------------------
--
-- scenetemplate.lua
--
----------------------------------------------------------------------------------

local storyboard = require( "storyboard" )
local scene = storyboard.newScene()

local widget = require("widget")


--rate
local rateit = require("rateit")
  
rateit.setAndroidURL("com.podermltd.Cars_Memory_Game_Kids")
rateit.setPlatformName("Android")

--rate


--typeOfPlay
----------------------------------------------------------------------------------
-- 
--	NOTE:
--	
--	Code outside of listener functions (below) will only be executed once,
--	unless storyboard.removeScene() is called.
-- 
---------------------------------------------------------------------------------

--local sndNoMatch = audio.loadSound("audio/nomatch.mp3")
--local sndMatch = audio.loadSound("audio/match.mp3")
--local sndWinner = audio.loadSound("audio/winner.mp3")

local gameovertxt
local gameovertxt2
local gameovertxt3
local gameovertxt4


local function goRate()
	rateit.openURL()
end


local function goSelectDimention()
	--storyboard.hideOverlay("fromTop")
	storyboard.gotoScene( "selectdimention", {effect="flipFadeOutIn"} )
end

local function goCartoons(e)
	typeOfPlay = typeOfPlay3
	goSelectDimention()
end

--local function goKids(e)
--	typeOfPlay = typeOfPlay2
--	goSelectDimention()
--end

local function goCars(e)
	typeOfPlay = typeOfPlay1
	goSelectDimention()
end

local function goRest(e)
	typeOfPlay = typeOfPlay4
	goSelectDimention()
end

local function goAnimals(e)
	typeOfPlay = typeOfPlay2
	goSelectDimention()
end

local function killObj(obj)
	display.remove(obj)
	obj = nil
end

---------------------------------------------------------------------------------
-- BEGINNING OF YOUR IMPLEMENTATION
---------------------------------------------------------------------------------

-- Called when the scene's view does not exist:
function scene:createScene( event )
	local group = self.view

	local prior_scene = storyboard.getPrevious()
	storyboard.purgeScene( prior_scene )
	
	storyboard.purgeScene("play")
	storyboard.removeScene("play")
	
	-----------------------------------------------------------------------------
		
	--	CREATE display objects and add them to 'group' here.
	--	Example use-case: Restore 'group' from previously saved state.
	
	-----------------------------------------------------------------------------

	--local bLabel = "English Alphabet"
	--local tapBtn = widget.newButton{label = bLabel, style = bStyle, onRelease=goAlphabet}
	
	--background  = display.newImage("images/black_background.png", true)
	--background.x = centerX
	--background.y = centerY
	--background:toBack()
	
	local label1 = display.newImageRect("images/label.png", 256, 86)
	label1.x = centerX--display.contentWidth
	label1.y = 60--display.contentHeight + 300
	group:insert(label1)

	local animalsImage = display.newText( "Cars", 40, 20, "PAETRI", 24 )
	animalsImage.x = label1.x --centerX
	animalsImage.y = label1.y
	label1:addEventListener( "tap", goCars )
	group:insert(animalsImage)


	local label2 = display.newImageRect("images/label.png", 256, 86)
	label2.x = centerX--display.contentWidth
	label2.y = 260--display.contentHeight + 300
	group:insert(label2)

	local cartoonsImage = display.newText( "Animals", 40, 20, "PAETRI", 24 )
	cartoonsImage.x = label2.x
	cartoonsImage.y = label2.y
	label2:addEventListener( "tap", goAnimals )
	group:insert(cartoonsImage)

	
	local label3 = display.newImageRect("images/label.png", 256, 86)
	label3.x = centerX--display.contentWidth
	label3.y = 160--display.contentHeight + 300
	group:insert(label3)

	local flagsImage = display.newText( "Cartoons", 40, 20, "PAETRI", 24 )
	flagsImage.x = label3.x
	flagsImage.y = label3.y
	label3:addEventListener( "tap", goCartoons )
	group:insert(flagsImage)


	local label4 = display.newImageRect("images/label.png", 256, 86)
	label4.x = centerX--display.contentWidth
	label4.y = 360--display.contentHeight + 300
	group:insert(label4)

	local restImage = display.newText( "Flags", 40, 20, "PAETRI", 24 )
	restImage.x = label4.x
	restImage.y = label4.y
	label4:addEventListener( "tap", goRest )
	group:insert(restImage)


	local label5 = display.newImageRect("images/label.png", 119, 40)
	label5.x = centerX--display.contentWidth
	label5.y = 480--display.contentHeight + 300
	group:insert(label5)

	local rateImage = display.newText( "Rate it", 40, 20, "PAETRI", 24 )
	rateImage.x = label5.x
	rateImage.y = label5.y
	label5:addEventListener( "tap", goRate )
	group:insert(rateImage)


--[[
	local cartoonsImage = display.newImageRect("images/newimages/cartoons.png", 273, 50)
	cartoonsImage.x = centerX
	cartoonsImage.y = 190
	cartoonsImage:addEventListener( "tap", goCartoons )
	group:insert(cartoonsImage)
	
	
	
	local kidsImage = display.newImageRect("images/newimages/kids.png", 316, 50)
	kidsImage.x = centerX
	kidsImage.y = 100
	kidsImage:addEventListener( "tap", goKids )
	group:insert(kidsImage)
	

	
	local flagsImage = display.newImageRect("images/newimages/flags.png", 134, 50)
	flagsImage.x = centerX
	flagsImage.y = 280
	flagsImage:addEventListener( "tap", goFlags )
	group:insert(flagsImage)
	

	local restImage = display.newImageRect("images/newimages/rest.png", 123, 50)
	restImage.x = centerX
	restImage.y = 370
	restImage:addEventListener( "tap", goRest )
	group:insert(restImage)
]]
end


-- Called immediately after scene has moved onscreen:
function scene:enterScene( event )
	local group = self.view
	
	-----------------------------------------------------------------------------
		
	--	INSERT code here (e.g. start timers, load audio, start listeners, etc.)
	
	-----------------------------------------------------------------------------
	
	--print("Enterd");
end


-- Called when scene is about to move offscreen:
function scene:exitScene( event )
	local group = self.view
	
	-----------------------------------------------------------------------------
	
	--	INSERT code here (e.g. stop timers, remove listeners, unload sounds, etc.)
	
	-----------------------------------------------------------------------------
	
end


-- Called prior to the removal of scene's "view" (display group)
function scene:destroyScene( event )
	local group = self.view
	
	-----------------------------------------------------------------------------
	
	--	INSERT code here (e.g. remove listeners, widgets, save state, etc.)
	
	-----------------------------------------------------------------------------
	
end


---------------------------------------------------------------------------------
-- END OF YOUR IMPLEMENTATION
---------------------------------------------------------------------------------

-- "createScene" event is dispatched if scene's view does not exist
scene:addEventListener( "createScene", scene )

-- "enterScene" event is dispatched whenever scene transition has finished
scene:addEventListener( "enterScene", scene )

-- "exitScene" event is dispatched before next scene's transition begins
scene:addEventListener( "exitScene", scene )

-- "destroyScene" event is dispatched before view is unloaded, which can be
-- automatically unloaded in low memory situations, or explicitly via a call to
-- storyboard.purgeScene() or storyboard.removeScene().
scene:addEventListener( "destroyScene", scene )

---------------------------------------------------------------------------------

return scene